import type { NextAuthOptions } from "./types";
import { Cookie } from "./lib/cookie";
import { NextAuthAction } from "../lib/types";
export interface IncomingRequest {
    method: string;
    cookies?: Record<string, any>;
    headers?: Record<string, any>;
    query?: Record<string, any>;
    body?: Record<string, any>;
    action: NextAuthAction;
    providerId?: string;
    error?: string;
}
export interface OutgoingResponse<J = any> {
    status?: number;
    headers?: any[];
    json?: J;
    text?: any;
    redirect?: string;
    cookies?: Cookie[];
}
interface NextAuthHandlerParams {
    req: IncomingRequest;
    options: NextAuthOptions;
}
export declare function NextAuthHandler<J>(params: NextAuthHandlerParams): Promise<OutgoingResponse<J>>;
export {};
